Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity
Class UsersActivityStatsServiceImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.identity.UsersActivityStatsServiceImpl

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, UsersActivityStatsService, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class UsersActivityStatsServiceImpl

extends AbstractJBossService
implements UsersActivityStatsService, javax.management.NotificationListener

Version:
  $Revision: 10787 $
Author:
  Boleslaw Dawidowicz, Luca Stancapiano

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`UsersActivityStatsServiceImpl()`

Method Summary
`int` | `getActiveSessionCount(long period)`
`java.util.Set` | `getActiveUsersIds(long period)`
`java.util.Set` | `getActiveUsersNames(long period)`
`java.lang.String` | `getActivityBroadcasterName()`
`int` | `getActivityQueueLimit()`
`long` | `getActivityTimeout()`
`int` | `getUpdaterInterval()`
`int` | `getUpdaterThreadsNumber()`
`java.util.Set` | `getUsersActivities(long period)`
`int` | `getUserTrackerThreadsNumber()`
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object object)`
`void` | `registerActivity(UserActivity userActivity)`
`void` | `setActivityBroadcasterName(java.lang.String activityBroadcasterName)`
`void` | `setActivityQueueLimit(int activityQueueLimit)`
`void` | `setActivityTimeout(long activityTimeout)`
`void` | `setUpdaterInterval(int updaterInterval)`
`void` | `setUpdaterThreadsNumber(int updaterThreadsNumber)`
`void` | `setUserTrackerThreadsNumber(int userTrackerThreadsNumber)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsersActivityStatsServiceImpl

    public UsersActivityStatsServiceImpl()

Method Detail

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getActiveUsersIds

    public java.util.Set getActiveUsersIds(long period)

  Specified by:
    `getActiveUsersIds` in interface `UsersActivityStatsService`

### getActiveSessionCount

    public int getActiveSessionCount(long period)

  Specified by:
    `getActiveSessionCount` in interface `UsersActivityStatsService`

### getActiveUsersNames

    public java.util.Set getActiveUsersNames(long period)

  Specified by:
    `getActiveUsersNames` in interface `UsersActivityStatsService`

### getUsersActivities

    public java.util.Set getUsersActivities(long period)

  Specified by:
    `getUsersActivities` in interface `UsersActivityStatsService`

### registerActivity

    public void registerActivity(UserActivity userActivity)

  Specified by:
    `registerActivity` in interface `UsersActivityStatsService`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object object)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### getUserTrackerThreadsNumber

    public int getUserTrackerThreadsNumber()

### setUserTrackerThreadsNumber

    public void setUserTrackerThreadsNumber(int userTrackerThreadsNumber)

### getUpdaterThreadsNumber

    public int getUpdaterThreadsNumber()

### setUpdaterThreadsNumber

    public void setUpdaterThreadsNumber(int updaterThreadsNumber)

### getUpdaterInterval

    public int getUpdaterInterval()

### setUpdaterInterval

    public void setUpdaterInterval(int updaterInterval)

### getActivityQueueLimit

    public int getActivityQueueLimit()

### setActivityQueueLimit

    public void setActivityQueueLimit(int activityQueueLimit)

### getActivityTimeout

    public long getActivityTimeout()

### setActivityTimeout

    public void setActivityTimeout(long activityTimeout)

### getActivityBroadcasterName

    public java.lang.String getActivityBroadcasterName()

### setActivityBroadcasterName

    public void setActivityBroadcasterName(java.lang.String activityBroadcasterName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD